<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Home</title>
    <style>
        #ErrorNotificationContainer
        {
            background: red;
            color: white;
            font-weight: bold;
            text-align: center;
            width: 30%;
            min-width: 200px;
            padding: 4px;
            margin-left: auto;
            margin-right: auto;
            margin-top: 5%;
            display: none;
        }

        .RoomContainer
        {
            margin-top: 10px;
            background: beige;
            display: block;
            width: 300px;
            margin-left: auto;
            margin-right: auto;
            border: black solid;
            padding: 5px;
        }

        #RightContainer
        {
            float: left;
            width: 50%;
            align-content: center;
            text-align: center;
        }

        #LeftContainer
        {
            margin-left: 50%;
            position: fixed;
            top: 10%;
            left: 10%;
        }

        #pageTitle
        {
            padding-bottom: 10%;
            color: #03033f;
            font-weight: bold;
            font-size: 50px;
        }

        #CreateRoomContainer
        {
            font-weight: bold;
            padding: 10px;
            margin: 5px;
            border: black solid;
        }

        p
        {
            margin: 1px;
            padding: 0;
        }

        button
        {
            margin: 2px;
        }

        #backButton
        {
            float: left;
        }

        #createRoomTimeout, #createRoomSize
        {
            width: 30px;
        }
    </style>
</head>
<body>
<div style="text-align: center; display: block">
    <div id="ErrorNotificationContainer">
        <p id="ErrorNotification">An error happened =(</p>
    </div>
    <div id="LeftContainer">
        <h2 id="pageTitle">Home Page</h2>
        <div id="CreateRoomContainer">
            <p>create your own room :</p>
            <input id="createRoomName" placeholder="Room name" type="text">
            <label>Size</label>
            <input id="createRoomSize" value="19" type="number">
            <label>Time</label>
            <input id="createRoomTimeout" placeholder="Timeout" value="0" type="number">
            <button id="createRoomButton">Create</button>
        </div>
        <div id="ListMyRoomContainer"></div>
    </div>
    <div id="RightContainer">
        <button id="backButton">Back</button>
        <div id="ListRoomContainer"></div>
    </div>
</div>
<script>
    require('../home');
    const joinButtonFct = require('../home_joinButton');
    const joinSpectatorButtonFct = require('../home_joinSpectatorButton');
</script>
</body>
</html>
